Last Comment Bug 657865 - High resolution scrolling should be able to be disabled by pref
: High resolution scrolling should be able to be disabled by pref
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget: Win32 (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: mozilla6
Assigned To: Masayuki Nakano [:masayuki] (Mozilla Japan)
:
Mentors:
Depends on:
Blocks: 605648 658111
  Show dependency treegraph
 
Reported: 2011-05-17 22:41 PDT by Masayuki Nakano [:masayuki] (Mozilla Japan)
Modified: 2011-07-28 02:22 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1.0 (10.19 KB, patch)
2011-05-17 22:41 PDT, Masayuki Nakano [:masayuki] (Mozilla Japan)
bugs: review+
Details | Diff | Review

Description Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-05-17 22:41:19 PDT
Created attachment 533182 [details] [diff] [review]
Patch v1.0

This patch can disable the pixel scrolling on Windows.

And disables it in default settings until all regressions fixed.
Comment 1 Olli Pettay [:smaug] (high review load, please consider other reviewers) 2011-05-18 03:43:07 PDT
Comment on attachment 533182 [details] [diff] [review]
Patch v1.0

I don't have a windows dev machine to test this all.
But looks ok,  r=me
Comment 2 Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-05-18 16:27:04 PDT
http://hg.mozilla.org/mozilla-central/rev/6424f0d08d6e

Now, high resolution scrolling is disabled in default settings.
Comment 3 George Carstoiu 2011-07-27 05:17:27 PDT
Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20100101 Firefox/6.0 - beta 3

Option - Use smooth scrolling from the Advanced tab is disabled by default on clean profile (also general.smoothScroll)

Setting status to Verified Fixed. Please correct me if this wasn't what I was supposed to verify.
Comment 4 Dão Gottwald [:dao] 2011-07-27 12:05:06 PDT
> Option - Use smooth scrolling from the Advanced tab is disabled by default
> on clean profile (also general.smoothScroll)

This has nothing to do with this bug.
Comment 5 George Carstoiu 2011-07-28 00:46:01 PDT
Mozilla/5.0 (X11; Linux i686; rv:8.0a1) Gecko/20110727 Firefox/8.0a1

Thanks! How can I verify this issue then?
Comment 6 Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-07-28 02:22:24 PDT
See bug 605648 comment 106.

Note You need to log in before you can comment on or make changes to this bug.